Move Task
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/move \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status": "<string>",
"before_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"after_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 123
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/move"
payload = {
"status": "<string>",
"before_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"after_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 123
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: '<string>',
before_task_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
after_task_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expected_revision: 123
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"title": "<string>",
"status": {
"key": "<string>",
"label": "<string>",
"category": "<string>",
"role": "<string>"
},
"priority": "<string>",
"labels": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"links": [
{
"id": "<string>",
"target_type": "<string>",
"target_id": "<string>",
"context": {
"conversation_id": "<string>",
"message_id": "<string>"
},
"deleted": true,
"admin_url": "<string>"
}
],
"source": "<string>",
"revision": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"admin_url": "<string>",
"identifier": "<string>",
"description": "",
"deadline": "2023-12-25",
"owner": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"created_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"finished_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
}Tasks
Move Task
Change a task’s status and/or its position in the column.
Without neighbors the task goes to the bottom (top for done and canceled columns).
POST
/
api
/
v1
/
tasks
/
{task_id}
/
move
Move Task
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/move \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status": "<string>",
"before_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"after_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 123
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/move"
payload = {
"status": "<string>",
"before_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"after_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 123
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: '<string>',
before_task_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
after_task_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expected_revision: 123
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"title": "<string>",
"status": {
"key": "<string>",
"label": "<string>",
"category": "<string>",
"role": "<string>"
},
"priority": "<string>",
"labels": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"links": [
{
"id": "<string>",
"target_type": "<string>",
"target_id": "<string>",
"context": {
"conversation_id": "<string>",
"message_id": "<string>"
},
"deleted": true,
"admin_url": "<string>"
}
],
"source": "<string>",
"revision": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"admin_url": "<string>",
"identifier": "<string>",
"description": "",
"deadline": "2023-12-25",
"owner": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"created_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"finished_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
}Authorizations
Path Parameters
Task UUID or identifier such as TASK-12
Body
application/json
Target status key or id. Defaults to the current status.
The card that ends up directly above.
The card that ends up directly below.
Available options:
top, bottom Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Short handle such as TASK-12, accepted wherever a task id is.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
